#include "Mesh.h"
#include <string>

vector<vector<int>>  divide(string foldername, string format, int noofparts);

vector<vector<int>>  divide_scape_NINE_parts(string foldername, int meshno); //divide scape model to 9 parts
vector<vector<int>> divide_scape_FIVE_parts(string foldername, int meshno); //divide scape model to 5 parts
vector<vector<int>> divide_scape_TWO_parts(string foldername, int meshno); //divide scape model to 2 parts


vector<vector<int>> divide_hand_SIX_parts(string foldername, int meshno); //divide hand model to 6 parts
vector<vector<int>> divide_hand_ELEVEN_parts(string foldername, int meshno, const vector<vector<int>>&inputlist); //divide hand model to 11 parts using 6-part partition as input
vector<vector<int>> divide_horse(string foldername, int meshno);//divide horse model to 7 parts
vector<vector<int>>  divide_cat(string foldername, int meshno); //divide cat model to 5 parts
void CenterMesh(Mesh* mesh);
vector<vector<int>>  divide_dancer(string foldername, int meshno); //divide dancer model to 7 part


